Bug 1874069 - Accessibility - An incorrect focus order is provided when a user tabs through the “View Settings” control in Overview page
Summary: Accessibility - An incorrect focus order is provided when a user tabs through...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1874075 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-31 13:39 UTC by Cyril
Modified: 2020-09-15 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
View Setting (95.21 KB, image/png)
2020-08-31 13:39 UTC, Cyril
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6580 None closed Bug 1874069: Accessibility - An incorrect focus order is provided when a user tabs through the “View Settings” control ... 2020-09-15 14:48:07 UTC

Description Cyril 2020-08-31 13:39:39 UTC
Created attachment 1713158 [details]
View Setting

Created attachment 1713158 [details]
View Setting

Description of problem:

Non-compliance: /administrator console/navigation pane/home/Overview/Cluster tab/Details pane, an incorrect focus order is provided on this tab when a user tabs though the “View Settings” control (as seen in the screenshot above), the next focus event (aka tab keypress) continues to focus on the target of the “View Settings” control (it refers to the cluster settings view), a further focus event (aka tab keypress) focuses on the expected control in the name pane. Appears to affect all sub-panels, as the “Activity” panel and “view events” has similar behavior. See also non-compliance noted for WCAG 2.4.7.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-02-134243

How reproducible:
Always

Steps to Reproduce:
1. Goto Overview page
2. Tab through to View Settings; tab again
3.

Actual results:
The focus event focuses on the View Settings twice

Expected results:
Should focus on View Settings once. 

Additional info:

Comment 2 Yadan Pei 2020-09-14 05:48:35 UTC
goes to Home -> Overview page, press TAB. First it will focus on 'Cluster' -> View Settings, press TAB again and it will goes next to `OpenShift Cluster Manager` 


The order is correct and 'View Settings' is only focused once

Verified on Chrome 85, 4.6.0-0.nightly-2020-09-12-230035

Comment 3 Cyril 2020-09-15 14:48:20 UTC
*** Bug 1874075 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.